
# LogEvent

Single log message with all context logged.

## Properties

Name | Type
------------ | -------------
`timestamp` | Date
`logLevel` | [LogLevelEnum](LogLevelEnum.md)
`logger` | string
`event` | string
`attributes` | { [key: string]: any; }

## Example

```typescript
import type { LogEvent } from '@goauthentik/api'

// TODO: Update the object below with actual values
const example = {
  "timestamp": null,
  "logLevel": null,
  "logger": null,
  "event": null,
  "attributes": null,
} satisfies LogEvent

console.log(example)

// Convert the instance to a JSON string
const exampleJSON: string = JSON.stringify(example)
console.log(exampleJSON)

// Parse the JSON string back to an object
const exampleParsed = JSON.parse(exampleJSON) as LogEvent
console.log(exampleParsed)
```

[[Back to top]](#) [[Back to API list]](../README.md#api-endpoints) [[Back to Model list]](../README.md#models) [[Back to README]](../README.md)


